-- This information tells other players more about the mod
name = "Unikitty"
description = "A remake of the original Unikitty character mod for Don't Starve created by G pfruits and ported for Don't Starve Together by Dol."
author = "Artsy Heartsy"
version = "2.0"

-- This is the URL name of the mod's thread on the forum; the part after the index.php? and before the first & in the URL
forumthread = ""

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 10

dst_compatible = true
dont_starve_compatible = false
reign_of_giants_compatible = false
all_clients_require_mod = true -- Character mods need this set to true

icon_atlas = "unik.xml"
icon = "unik.tex"

configuration_options =
{
    {
        name = "health_start",
        label = "Starting Health",
        options =
        {
            {description = "100%", data = 1.0},
            {description = "75%", data = 0.75},
            {description = "50%", data = 0.50},
            {description = "25%", data = 0.25},
        },
        default = 1.0,
    },
    {
        name = "health_max",
        label = "Max Health",
        options =
        {
            {description = "25", data = 25},
            {description = "50", data = 50},
            {description = "75", data = 75},
            {description = "100", data = 100},
            {description = "120", data = 120},
            {description = "125", data = 125},
            {description = "150", data = 150},
            {description = "175", data = 175},
            {description = "200", data = 200},
        },
        default = 120,
    },
    {
        name = "sanity_start",
        label = "Starting Sanity",
        options =
        {
            {description = "100%", data = 1.0},
            {description = "75%", data = 0.75},
            {description = "50%", data = 0.50},
            {description = "25%", data = 0.25},
        },
        default = 1.0,
    },
    {
        name = "sanity_max",
        label = "Max Sanity",
        options =
        {
            {description = "25", data = 25},
            {description = "50", data = 50},
            {description = "75", data = 75},
            {description = "100", data = 100},
            {description = "125", data = 125},
            {description = "150", data = 150},
            {description = "175", data = 175},
            {description = "200", data = 200},
        },
        default = 100,
    },
    {
        name = "hunger_start",
        label = "Starting Hunger",
        options =
        {
            {description = "100%", data = 1.0},
            {description = "75%", data = 0.75},
            {description = "50%", data = 0.50},
            {description = "25%", data = 0.25},
        },
        default = 1.0,
    },    
    {
        name = "hunger_max",
        label = "Max Hunger",
        options =
        {
            {description = "25", data = 25},
            {description = "50", data = 50},
            {description = "75", data = 75},
            {description = "100", data = 100},
            {description = "125", data = 125},
            {description = "150", data = 150},
            {description = "175", data = 175},
            {description = "200", data = 200},
        },
        default = 150,
    },
    {
        name = "angry_kitty_sanity",
        label = "Angry Kitty Sanity Trigger",
        options =
        {
            {description = "10%", data = 0.10},
            {description = "25%", data = 0.25},
            {description = "33%", data = 0.33},
            {description = "50%", data = 0.5},
            {description = "66%", data = 0.66},
            {description = "75%", data = 0.75},
            {description = "100%", data = 1.0},
        },
        default = 0.5,
    },
    {
        name = "biznis_kitty_hunger",
        label = "Biznis Kitty Hunger Trigger",
        options =
        {
            {description = "10%", data = 0.10},
            {description = "25%", data = 0.25},
            {description = "33%", data = 0.33},
            {description = "50%", data = 0.5},
            {description = "66%", data = 0.66},
            {description = "75%", data = 0.75},
            {description = "100%", data = 1.0},
        },
        default = 0.66,
    },
    {
        name = "queasy_kitty_hunger",
        label = "Queasy Kitty Hunger Trigger",
        options =
        {
            {description = "10%", data = 0.10},
            {description = "25%", data = 0.25},
            {description = "33%", data = 0.33},
            {description = "50%", data = 0.5},
            {description = "66%", data = 0.66},
            {description = "75%", data = 0.75},
            {description = "100%", data = 1.0},
        },
        default = 0.33,
    },
    {
        name = "biznis_kitty_speed",
        label = "Biznis Kitty Speed",
        options =
        {
            {description = "4", data = 4},
            {description = "6", data = 6},
            {description = "8", data =  8},
            {description = "10", data = 10},
            {description = "12", data = 12},
            {description = "14", data = 14},
            {description = "16", data = 16},
            {description = "20", data = 20},
        },
        default = 14,
    },
    {
        name = "unikitty_speed",
        label = "Unikitty Speed",
        options =
        {
            {description = "4", data = 4},
            {description = "6", data = 6},
            {description = "8", data =  8},
            {description = "10", data = 10},
            {description = "12", data = 12},
            {description = "14", data = 14},
            {description = "16", data = 16},
            {description = "20", data = 20},
        },
        default = 10,
    },
    {
        name = "angry_kitty_speed",
        label = "Angry Kitty Speed",
        options =
        {
            {description = "4", data = 4},
            {description = "6", data = 6},
            {description = "8", data =  8},
            {description = "10", data = 10},
            {description = "12", data = 12},
            {description = "14", data = 14},
            {description = "16", data = 16},
            {description = "20", data = 20},
        },
        default = 14,
    },
    {
        name = "queasy_kitty_speed",
        label = "Queasy Kitty Speed",
        options =
        {
            {description = "4", data = 4},
            {description = "6", data = 6},
            {description = "8", data =  8},
            {description = "10", data = 10},
            {description = "12", data = 12},
            {description = "14", data = 14},
            {description = "16", data = 16},
            {description = "20", data = 20},
        },
        default = 8,
    },
    {
        name = "ghost_speed",
        label = "Ghost Speed",
        options =
        {
            {description = "4", data = 4},
            {description = "6", data = 6},
            {description = "8", data =  8},
            {description = "10", data = 10},
            {description = "12", data = 12},
            {description = "14", data = 14},
            {description = "16", data = 16},
            {description = "20", data = 20},
        },
        default = 14,
    },
    {
        name = "unikitty_damage_multiplier",
        label = "Unikitty Damage Multiplier",
        options =
        {
            {description = "0.25", data = 0.25},
            {description = "0.5", data = 0.5},
            {description = "1.0", data = 1.0},
            {description = "1.5", data = 1.5},
            {description = "2.0", data = 2.0},
            {description = "2.5", data = 2.5},
            {description = "3.0", data = 3.0},
            {description = "3.5", data = 3.5},
            {description = "4.0", data = 4.0},
        },
        default = 0.5,
    },
    {
        name = "angry_kitty_damage_multiplier",
        label = "Angry Kitty Damage Multiplier",
        options =
        {
            {description = "0.25", data = 0.25},
            {description = "0.5", data = 0.5},
            {description = "1.0", data = 1.0},
            {description = "1.5", data = 1.5},
            {description = "2.0", data = 2.0},
            {description = "2.5", data = 2.5},
            {description = "3.0", data = 3.0},
            {description = "3.5", data = 3.5},
            {description = "4.0", data = 4.0},
        },
        default = 2.5,
    },
    {
        name = "angry_kitty_hunger_rate",
        label = "Angry Kitty Hunger Rate",
        options =
        {
            {description = "0.25", data = 0.25},
            {description = "0.5", data = 0.5},
            {description = "1.0", data = 1.0},
            {description = "1.25", data = 1.25},
            {description = "1.5", data = 1.5},
            {description = "1.75", data = 1.75},
            {description = "2.0", data = 2.0},
            {description = "2.25", data = 2.25},
            {description = "2.5", data = 2.5},
            {description = "2.75", data = 2.75},
            {description = "3.0", data = 3.0},
        },
        default = 1.25,
    },
}